Bug 1274842 - Containers: Unable to edit port of a containers provider
Containers: Unable to edit port of a containers provider
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity medium
: GA
: 5.5.0
Assigned To: Milan Zazrivec
Jan Krocil
container
:
: 1283129 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-23 11:45 EDT by Jan Krocil
Modified: 2015-12-08 08:39 EST (History)
9 users (show)

See Also:
Fixed In Version: 5.5.0.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:39:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Krocil 2015-10-23 11:45:59 EDT
Description of problem:
SSIA

Version-Release number of selected component (if applicable):
5.5.0.7

How reproducible:
always

Steps to Reproduce:
1. Add a containers provider
2. Edit it
3. Change the port
4. Save

Actual results:
Port remains the same.

Expected results:
Port is changed.

Additional info:
Comment 2 Alissa 2015-11-01 09:18:26 EST
from what I investigated so far, get_form_vars in EmsCommon is called twice in a row for an update action,
once from 'form_field_changed' method with correct parameters, and the second time from 'update' method with the incorrect (original - before edit) port.
Comment 5 CFME Bot 2015-11-12 18:55:33 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/78706ab73e308f302a705912c0484f64e29d0912

commit 78706ab73e308f302a705912c0484f64e29d0912
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Mon Nov 9 17:55:56 2015 +0100
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Tue Nov 10 16:04:11 2015 +0100

    Container provider edit: Don't render port input twice
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1274842

 app/views/shared/views/ems_common/_form.html.haml  | 17 +++++++++--------
 .../ems_container/_form_fields.html.haml_spec.rb   |  5 +++++
 spec/views/ems_infra/edit.html.haml_spec.rb        | 22 ++++++++++++++++++++++
 3 files changed, 36 insertions(+), 8 deletions(-)
 create mode 100644 spec/views/ems_infra/edit.html.haml_spec.rb
Comment 8 CFME Bot 2015-11-16 16:17:27 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=361053a22030476708f2c52027ec7faed5cc3552

commit 361053a22030476708f2c52027ec7faed5cc3552
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Mon Nov 9 17:55:56 2015 +0100
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Fri Nov 13 15:14:25 2015 +0100

    Container provider edit: Don't render port input twice
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1274842
    (cherry picked from commit 78706ab73e308f302a705912c0484f64e29d0912)

 app/views/shared/views/ems_common/_form.html.haml  | 17 +++++++++--------
 .../ems_container/_form_fields.html.haml_spec.rb   |  5 +++++
 spec/views/ems_infra/edit.html.haml_spec.rb        | 22 ++++++++++++++++++++++
 3 files changed, 36 insertions(+), 8 deletions(-)
 create mode 100644 spec/views/ems_infra/edit.html.haml_spec.rb
Comment 9 CFME Bot 2015-11-16 16:17:39 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=3f39cea7a2316978351472150dfff539eebecfe4

commit 3f39cea7a2316978351472150dfff539eebecfe4
Merge: 8feecae 361053a
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Fri Nov 13 13:21:40 2015 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Fri Nov 13 13:21:40 2015 -0500

    Merge branch 'fix_container_port_edit' into '5.5.z'
    
    Container provider edit: Don't render port input twice
    
    Clean cherry pick from commit 78706ab73e308f302a705912c0484f64e29d0912
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1274842
    
    See merge request !439

 app/views/shared/views/ems_common/_form.html.haml  | 17 +++++++++--------
 .../ems_container/_form_fields.html.haml_spec.rb   |  5 +++++
 spec/views/ems_infra/edit.html.haml_spec.rb        | 22 ++++++++++++++++++++++
 3 files changed, 36 insertions(+), 8 deletions(-)
Comment 11 Harpreet Kataria 2015-11-30 09:21:52 EST
*** Bug 1283129 has been marked as a duplicate of this bug. ***
Comment 13 errata-xmlrpc 2015-12-08 08:39:52 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.